Skip to content
pols.so docs
Esc
↑↓navigate↵open⌘Jpreview

Refused; create webhook endpoints on the website's account page

An API key cannot create webhook endpoints, so a leaked key cannot keep receiving the org’s events after it is revoked. The org’s owner creates endpoints after logging in at /account on the website (https://my.pols.so/account). This always answers 403 forbidden.

POST/v1/webhooksdeprecated
Authorization
AuthorizationBearer token · headerrequired

Org-scoped API key, pols_....

Responses
403

API keys cannot create webhook endpoints.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), waking (503, the sandbox is still waking from standby or booting; retry), timeout (504, or 408 when a request body stalls).

messagestringrequired
429

Rate limited (rate_limited): too many requests or failed authentications from this address, too many requests or lifecycle calls for this org, or too many of its exec, file, computer and CDP calls in progress at once. Retry after Retry-After seconds.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), waking (503, the sandbox is still waking from standby or booting; retry), timeout (504, or 408 when a request body stalls).

messagestringrequired
default

Error.

errorobjectrequired
Show properties
codestringrequired

Stable machine-readable code: bad_request (400), unauthorized (401), forbidden (403), quota_exceeded (403), not_found (404), conflict (409), rate_limited (429, see Retry-After), internal (500), runtime_error (502, the sandbox host failed), unavailable (503, the feature is not configured on this deployment), waking (503, the sandbox is still waking from standby or booting; retry), timeout (504, or 408 when a request body stalls).

messagestringrequired
Request
curl -X POST 'https://api.pols.so/v1/webhooks' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "error": {
    "code": "string",
    "message": "string"
  }
}